#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	Next
Summary:	File::Next - File-finding iterator
Name:		perl-File-Next
Version:	1.12
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	725e888d1600fed62cd89b9dac989304
URL:		http://search.cpan.org/dist/File-Next/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Test-Pod-Coverage
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Next is an iterator-based module for finding files. It's
lightweight, has no dependencies, runs under taint mode, and puts your
program more directly in control of file selection.

It's taken heavily from Mark Jason Dominus' excellent book "Higher
Order Perl" <http://hop.perl.plover.com/>.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md
%{perl_vendorlib}/File/Next.pm
%{_mandir}/man3/*
%changelog
* Mon Apr 22 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-Next.git;a=log;h=master

* Sun Apr 21 2013 Kacper Kornet <draenog@pld-linux.org> 39e6bd0
- updated to 1.12

* Mon Nov 30 2009 Elan Ruusamäe <glen@pld-linux.org> a5bfe7d
- dot

* Mon Nov 30 2009 Kacper Kornet <draenog@pld-linux.org> c69d520
- initial release

